import Vue from "vue"
let prototype = Vue.prototype;

export default {
    /**
     * 获取列表
     */
    getList(options) {
        return new Promise((resolve, reject) => {
            prototype.$request(options.request).then(response => {
                if (response.code == 1) {
                    let list = [];
                    response.data.forEach(item => {
                        list.push({
                            listType: options.listType,
                            id: item.id,
                            orderId: item.order,
                            username: "用户名称",
                            cate: "待返数据",
                            content: item.desc,
                            createTime: item.time,
                            serviceTime: item.times,
                            orderType: item.types,
                            state: item.status,
                            price: item.money,
                        });
                    });
                    return resolve(list);
                }
                return reject(response.msg);
            }).catch(e => { });
        });
    },
    /**
     * 获取详情
     */
    getDetail(options) {
        return new Promise((resolve, reject) => {
            prototype.$request(options.request).then(response => {
                if (response.code == 1) {
                    return resolve(response.data);
                }
                return reject(response.msg);
            }).catch(e => { });
        });
    },
    /**
     * 接单
     */
    getOrder(options) {
        return new Promise((resolve, reject) => {
            prototype.$request(options).then(response => {
                if (response.code == 1) {
                    return resolve(response.msg);
                }
                return reject(response.msg);
            }).catch(e => { });
        });
    }
}
